# Labour Mother Neonate Details

| **API URL**     | {{url}}/spice-service/medical-review/labour-mother-neonate/details |
| --------------- | ------------------------------------------------------------------ |
| **Method**      | POST                                                               |
| **Description** | List details of Labour Mother Neonate Create in medical review     |

#### **Input:** <a href="#labourmotherneonatedetails-v2-input" id="labourmotherneonatedetails-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| motherId               | Bigint   | Yes           | Mother id                                                                                                                               |
| patientReference       | Bigint   | Yes           | Patient Reference id                                                                                                                    |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#labourmotherneonatedetails-v2-sampleinput" id="labourmotherneonatedetails-v2-sampleinput"></a>

{\
"motherId": "822",\
"patientReference": "802"\
}

#### **Output:** <a href="#labourmotherneonatedetails-v2-output" id="labourmotherneonatedetails-v2-output"></a>

| **Field Name**           | **Type** | **Example**                                |
| ------------------------ | -------- | ------------------------------------------ |
| message                  | String   | MedicalReview Details fetched successfully |
| motherDTO                | String   | MotherDTO details                          |
| riskFactors              | String   | Risk Factors                               |
| encounter                | String   | Encounter details of the patient           |
| id                       | Bigint   | Encounter id                               |
| patientReference         | Bigint   | Patient Reference                          |
| referred                 | Boolean  | Patient referred status                    |
| patientId                | Bigint   | Patient id                                 |
| memberId                 | Bigint   | Household member ID                        |
| startTime                | Date     | Start Time                                 |
| endTime                  | Date     | End Time                                   |
| provenance               | String   | Provenance details of the organization     |
| latitude                 | Long     | Location of the registration               |
| longitude                | Long     | Location of the registration               |
| visitNumber              | Bigint   | Visit Number of patient                    |
| dateAndTimeOfDelivery    | Date     | Date And Time Of Delivery                  |
| dateAndTimeOfLabourOnset | Date     | Date And Time Of Labour On set             |
| deliveryType             | String   | Delivery Type                              |
| deliveryBy               | String   | doctor                                     |
| deliveryAt               | String   | hospital                                   |
| deliveryAtOther          | String   | Delivery At Other                          |
| deliveryStatus           | String   | motherSurvivedDelivery                     |
| noOfNeoNates             | Bigint   | Number Of NeoNates                         |
| prescriptions            | String   | Patient Prescriptions                      |
| neonateOutcome           | String   | freshStillBirth                            |
| status                   | Boolean  | Response status                            |

#### **Sample Output:** <a href="#labourmotherneonatedetails-v2-sampleoutput" id="labourmotherneonatedetails-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview Details fetched successfully.",
  "entity": {
    "motherDTO": {
      "id": null,
      "signs": null,
      "generalConditions": null,
      "riskFactors": null,
      "stateOfPerineum": null,
      "tear": null,
      "ttDoseTaken": 0,
      "status": null,
      "encounter": {
        "id": "822",
        "patientVisitId": null,
        "patientReference": "802",
        "referred": false,
        "patientId": "333333317130012",
        "patientStatus": null,
        "memberId": "800",
        "startTime": "2025-01-20T12:15:02+00:00",
        "endTime": "2025-01-20T12:15:02+00:00",
        "householdId": null,
        "provenance": {
          "userId": "11",
          "spiceUserId": null,
          "organizationId": "9",
          "modifiedDate": "2025-01-20T12:15:02+00:00"
        },
        "latitude": 13.0145812,
        "longitude": 80.2098957,
        "visitNumber": 0,
        "visitId": null
      },
      "visitNumber": 0,
      "patientReference": null,
      "patientStatus": null,
      "labourDTO": {
        "dateAndTimeOfDelivery": "2025-01-13T01:02:00+00:00",
        "dateAndTimeOfLabourOnset": "2025-01-01T04:05:00+00:00",
        "deliveryType": "Caeserian",
        "deliveryBy": "Doctor",
        "deliveryAt": "Hospital",
        "deliveryAtOther": null,
        "deliveryStatus": "Mother survived delivery",
        "noOfNeoNates": 9,
        "neonatePatientId": null,
        "deliveryByOther": null
      },
      "prescriptions": [],
      "investigations": [],
      "neonateOutcome": null
    },
    "child": null,
    "neonateDTO": null
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/labour-mother-neonate-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
